List RBS volumes

GET/v1/remote_block_storage/volumes

To list all RBS volumes, make a GET request to /v1/remote_block_storage/volumes. You can adjust the list using the query parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

location_id?integer

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's created_at.

Default"created_at"

Value in

  • "created_at"
  • "updated_at"
  • "name"
  • "size"
  • "iops"
  • "bandwidth"
  • "status"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/remote_block_storage/volumes?search_pattern=volume"
[  {    "id": "46dBXa79",    "name": "volume_name",    "size": 40071,    "status": "active",    "location_id": 207,    "location_code": "AMS207",    "flavor_id": 498,    "flavor_name": "RBS Flavor name214",    "iops": 16027,    "bandwidth": 21671,    "labels": {},    "ip_address": null,    "target_iqn": null,    "created_at": "2026-05-28T06:56:28.505Z",    "updated_at": "2026-05-28T06:56:28.505Z"  }]
{  "message": "Bad request",  "code": "BAD_REQUEST",  "params": [    "page"  ]}